
Redmine - Defect #8793

Attachment lost when filed validation fails

2011-07-12 15:10 - Dan Dascalescu

Status: Closed Start date: 2011-07-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Attaching a dummy attachment

Related issues:

Is duplicate of Redmine - Defect #6625: Attachments lost when activity field ... Closed 2010-10-11

History

#1 - 2011-07-12 15:15 - Dan Dascalescu

The description is so short because I submitted the bug too quickly. This is how to reproduce:

1. Have a Redmine configured to have at least one required field on the submit issue page, and that field is not already filled-in with some preselected

value. For this Redmine instance at redmine.org, that field would be the Subject field. Leave that field blank.

2. Browse for an attachment and select it. Also enter a description.

3. Click "Create".

You'll get an error that "Subject can't be blank", and the attachment and its description will be blank.

Not sure if this is related: issue #6625.

#2 - 2011-07-12 17:04 - Etienne Massip

- Category set to Attachments

#3 - 2015-03-08 04:52 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Probably implemented in r10977 and 10977 (Redmine 2.3).

In current versions, attachments are kept even after validation errors.

#4 - 2015-03-08 04:55 - Go MAEDA

- Resolution changed from Fixed to Duplicate
